<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_developer.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For C++ developers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1StateVector.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">OpenSim::StateVector Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classOpenSim_1_1StateVector.html">OpenSim::StateVector</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html#a31f15cf09eaf061bd8b723447a85beeb">add</a>(double aValue)</td><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html">OpenSim::StateVector</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html#a92e70c1addde26c5450a076b41bb8b9b">add</a>(const SimTK::Vector_&lt; double &gt; &amp;values)</td><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html">OpenSim::StateVector</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html#a7ed2df65d77df085995416c7eee95c77">add</a>(int aN, double aValue)</td><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html">OpenSim::StateVector</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html#a2a4382ad608f583f72dc5fe94ad31daa">add</a>(StateVector *aStateVector)</td><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html">OpenSim::StateVector</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html#a3789ec6dc945322c9965c3ced8739973">divide</a>(double aValue)</td><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html">OpenSim::StateVector</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html#ac2536f3f60edf7eb8a45f7480ab79f42">divide</a>(const SimTK::Vector_&lt; double &gt; &amp;values)</td><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html">OpenSim::StateVector</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html#a3792041c1a7e517f590f2f49eba84b19">divide</a>(StateVector *aStateVector)</td><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html">OpenSim::StateVector</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html#a8ac75eab8a43ef94064aade3c62a280e">getData</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html">OpenSim::StateVector</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html#a4dd6edfc5ee1597d059abfef8ae5f5b6">getData</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html">OpenSim::StateVector</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html#af094cfe82c8c0453110f8e1fd148a3f0">getDataValue</a>(int aIndex, double &amp;rValue)</td><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html">OpenSim::StateVector</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html#acdfdf93cb9f2683424b47a0c742f2292">getSize</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html">OpenSim::StateVector</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html#a9b959375a2edb45c652e94836b0a8b8b">getTime</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html">OpenSim::StateVector</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html#ab0b84ff18b2a3c83b9bfc007052dd0b5">multiply</a>(double aValue)</td><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html">OpenSim::StateVector</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html#acea835c774efc8561500208af42e1030">multiply</a>(const SimTK::Vector_&lt; double &gt; &amp;values)</td><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html">OpenSim::StateVector</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html#a732362d662987e1c95bec83f69b7cfda">multiply</a>(StateVector *aStateVector)</td><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html">OpenSim::StateVector</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html#a4a87372ee2fb05bd79390e9c07ed193f">operator&lt;</a>(const StateVector &amp;aStateVector) const</td><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html">OpenSim::StateVector</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html#a8e0ff42610f9f40cff07630417d2238c">operator&lt;&lt;</a>(std::ostream &amp;aOut, const StateVector &amp;aStateVector)</td><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html">OpenSim::StateVector</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html#a5a94b6d4de5271469aa8a0b202b87b41">operator=</a>(const StateVector &amp;aStateVector)</td><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html">OpenSim::StateVector</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html#a9149b6b59721347da64233c5a8424328">operator==</a>(const StateVector &amp;aStateVector) const</td><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html">OpenSim::StateVector</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html#af86d944f850e6c3d40a349b36dcaf4d6">print</a>(FILE *fp) const</td><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html">OpenSim::StateVector</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html#a8f9ebd15ec788e5cf07a0f3950edfb12">scaleTime</a>(double aValue)</td><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html">OpenSim::StateVector</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html#a678cb88e5be469d9f99397c55914326e">setDataValue</a>(int aIndex, double &amp;aValue)</td><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html">OpenSim::StateVector</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html#a72e650e883e24af994eb74337d5be9ce">setStates</a>(double aT, const SimTK::Vector_&lt; double &gt; &amp;data)</td><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html">OpenSim::StateVector</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html#a26a83702420a35f65ee6cfafd9ae2437">setTime</a>(double aT)</td><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html">OpenSim::StateVector</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html#af79c1210b28b487ba9e0ae38e0a50574">shiftTime</a>(double aValue)</td><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html">OpenSim::StateVector</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html#a48d51ec426011c2e2a3366255f464387">StateVector</a>()=default</td><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html">OpenSim::StateVector</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html#a489e256fd2395fa3bd011634b65ac750">StateVector</a>(const StateVector &amp;)=default</td><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html">OpenSim::StateVector</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html#a7ce3fa92894a346ff663019d33f84318">StateVector</a>(double aT)</td><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html">OpenSim::StateVector</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html#a9108e5bd761b5dacb50bf07e7ec1ac1b">StateVector</a>(double aT, const SimTK::Vector_&lt; double &gt; &amp;data)</td><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html">OpenSim::StateVector</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html#a59013c7c7988f1b795e0a852d79286ab">subtract</a>(double aValue)</td><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html">OpenSim::StateVector</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html#aca869f43f737dab3a3dd954ba6aaf847">subtract</a>(const SimTK::Vector_&lt; double &gt; &amp;values)</td><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html">OpenSim::StateVector</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html#a3df6f700052713a0a8d078cd8b879e3c">subtract</a>(StateVector *aStateVector)</td><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html">OpenSim::StateVector</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html#a6e197e7a9f70a8a9b65f7ae6c033ed0b">~StateVector</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1StateVector.html">OpenSim::StateVector</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:31 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
